	integer*1 sam1,dumy1
	integer*2 sam2

c  convert from files of 8-bit straight binary samples (sounds for phil
c  karn's play program) to files of 16-bit 2's-complement binary samples
c  (for franklin antonio's spectrum analyzer program).
c
c  program also drops every other sample.  the files i've seen were sampled
c  at 22ks/s, and don't have any significant energy above 5kHz.  so output
c  file is effectively sampled at 11ks/s

c  usage:  sndcnv infile outfile
c

	open(unit=2,file=' ',form='binary',blocksize=16384,
     #              status='old')
	open(unit=3,file=' ',form='binary',blocksize=16384,
     #              status='unknown')

10	read(2,end=15) sam1,dumy1
	sam2 = sam1
	sam2 = 32*ieor(sam2,16#ff80)
	write(3) sam2
	go to 10

15	close(2)
	close(3)

	end
